Bug 121684 - gpm fails to start
gpm fails to start
Product: Fedora
Classification: Fedora
Component: gpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-04-25 13:16 EDT by Sxren Nielsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-27 15:31:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch changing the configuration file (440 bytes, patch)
2004-04-25 13:33 EDT, Sxren Nielsen
no flags Details | Diff

  None (edit)
Description Sxren Nielsen 2004-04-25 13:16:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
gpm fails to start with the error message:
(no mouse is configured)

/etc/init.d/gpm tries to use the configuration file
/etc/sysconfig/mouse which does not exist.

Changing /etc(init.d/gpm to use /etc/sysconfig/gpm instead solves the

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. servive gpm start

Actual Results:  (no mouse is configured)

Additional info:
Comment 1 Sxren Nielsen 2004-04-25 13:33:14 EDT
Created attachment 99683 [details]
Patch changing the configuration file

This patch solves the problem for me and makes the errormessage a little more
The original error message is reused for two different errors.
Comment 2 Eido Inoue 2004-04-27 15:31:06 EDT
The configuration file that the init script searches for is/should be
generated by the installer; the installer will be changed to generate
the file again.

It is not a bug for gpm to refuse to start up if /etc/sysconfig/mouse
is not present; that is by design-- see the anaconda related bugs
regarding /etc/sysconfig/mouse

Note You need to log in before you can comment on or make changes to this bug.